com.tibco.bpm.service.connector

## Class PageFlowService

- java.lang.Object
- - com.tibco.bpm.service.connector.PageFlowService

- All Implemented Interfaces:
    PageFlowService

      public class PageFlowService
      extends java.lang.Object
      implements PageFlowService

  Provides access to the PageFlowService interfaces.

  ©2011 TIBCO Software Inc.
  Since:
    1.2

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.tibco.n2.pfe.api.pageflow.CancelPageFlowResponseDocument.CancelPageFlowResponse` | `cancelPageFlow(java.lang.String processInstanceId)` Cancels PageFlow.
    `com.tibco.n2.pfe.api.pageflow.InjectPageFlowEventResponseDocument.InjectPageFlowEventResponse` | `injectPageFlowEvent(com.tibco.n2.pfe.api.common.EventDefinitionType eventDefinition, com.tibco.n2.common.datafeed.DataPayload formalParams, com.tibco.n2.common.datafeed.PayloadModeType.Enum responseFeedType)` Injects PageFlow event.
    `com.tibco.n2.pfe.api.pageflow.ListPageFlowsResponseDocument.ListPageFlowsResponse` | `listPageFlows(java.lang.Long startPosition, java.lang.Long numberOfItems, java.lang.Boolean getTotalCount, com.tibco.n2.pfe.api.common.OrderFilterCriteria orderFilterCriteria, java.lang.Boolean includeFormalParameters)` Lists PageFlows.
    `com.tibco.n2.pfe.api.pageflow.StartPageFlowResponseDocument.StartPageFlowResponse` | `startPageFlow(com.tibco.n2.pfe.api.common.PFETemplate pageFlowDefinition, com.tibco.n2.common.datafeed.DataPayload formalParams, com.tibco.n2.common.datafeed.PayloadModeType.Enum responseFeedType, java.lang.Long cacheTimeout)` Starts PageFlow.
    `com.tibco.n2.pfe.api.pageflow.UpdatePageFlowResponseDocument.UpdatePageFlowResponse` | `updatePageFlow(com.tibco.n2.pfe.api.common.RequestContext context, com.tibco.n2.common.datafeed.DataPayload pageFields, com.tibco.n2.common.datafeed.PayloadModeType.Enum responseFeedType)` Updates PageFlow.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### listPageFlows

          public com.tibco.n2.pfe.api.pageflow.ListPageFlowsResponseDocument.ListPageFlowsResponse listPageFlows(java.lang.Long startPosition,
                                                                                                                 java.lang.Long numberOfItems,
                                                                                                                 java.lang.Boolean getTotalCount,
                                                                                                                 com.tibco.n2.pfe.api.common.OrderFilterCriteria orderFilterCriteria,
                                                                                                                 java.lang.Boolean includeFormalParameters)
                                                                                                          throws com.tibco.n2.pfe.services.InternalServiceFault,
                                                                                                                 com.tibco.n2.pfe.services.InvalidArgumentFault,
                                                                                                                 com.tibco.n2.pfe.services.PageFlowExecutionFault

      Description copied from interface: `PageFlowService`
      Lists PageFlows.
      Specified by:
        `listPageFlows` in interface `PageFlowService`
      Returns:
      Throws:
        `com.tibco.n2.pfe.services.InternalServiceFault`
        `com.tibco.n2.pfe.services.InvalidArgumentFault`
        `com.tibco.n2.pfe.services.PageFlowExecutionFault`

    - #### startPageFlow

          public com.tibco.n2.pfe.api.pageflow.StartPageFlowResponseDocument.StartPageFlowResponse startPageFlow(com.tibco.n2.pfe.api.common.PFETemplate pageFlowDefinition,
                                                                                                                 com.tibco.n2.common.datafeed.DataPayload formalParams,
                                                                                                                 com.tibco.n2.common.datafeed.PayloadModeType.Enum responseFeedType,
                                                                                                                 java.lang.Long cacheTimeout)
                                                                                                          throws com.tibco.n2.pfe.services.InternalServiceFault,
                                                                                                                 com.tibco.n2.pfe.services.InvalidArgumentFault,
                                                                                                                 com.tibco.n2.pfe.services.PageFlowExecutionFault

      Description copied from interface: `PageFlowService`
      Starts PageFlow.
      Specified by:
        `startPageFlow` in interface `PageFlowService`
      Returns:
      Throws:
        `com.tibco.n2.pfe.services.InternalServiceFault`
        `com.tibco.n2.pfe.services.InvalidArgumentFault`
        `com.tibco.n2.pfe.services.PageFlowExecutionFault`

    - #### updatePageFlow

          public com.tibco.n2.pfe.api.pageflow.UpdatePageFlowResponseDocument.UpdatePageFlowResponse updatePageFlow(com.tibco.n2.pfe.api.common.RequestContext context,
                                                                                                                    com.tibco.n2.common.datafeed.DataPayload pageFields,
                                                                                                                    com.tibco.n2.common.datafeed.PayloadModeType.Enum responseFeedType)
                                                                                                             throws com.tibco.n2.pfe.services.InternalServiceFault,
                                                                                                                    com.tibco.n2.pfe.services.InvalidArgumentFault,
                                                                                                                    com.tibco.n2.pfe.services.PageFlowExecutionFault

      Description copied from interface: `PageFlowService`
      Updates PageFlow.
      Specified by:
        `updatePageFlow` in interface `PageFlowService`
      Returns:
      Throws:
        `com.tibco.n2.pfe.services.InternalServiceFault`
        `com.tibco.n2.pfe.services.InvalidArgumentFault`
        `com.tibco.n2.pfe.services.PageFlowExecutionFault`

    - #### injectPageFlowEvent

          public com.tibco.n2.pfe.api.pageflow.InjectPageFlowEventResponseDocument.InjectPageFlowEventResponse injectPageFlowEvent(com.tibco.n2.pfe.api.common.EventDefinitionType eventDefinition,
                                                                                                                                   com.tibco.n2.common.datafeed.DataPayload formalParams,
                                                                                                                                   com.tibco.n2.common.datafeed.PayloadModeType.Enum responseFeedType)
                                                                                                                            throws com.tibco.n2.pfe.services.InternalServiceFault,
                                                                                                                                   com.tibco.n2.pfe.services.InvalidArgumentFault,
                                                                                                                                   com.tibco.n2.pfe.services.PageFlowExecutionFault

      Description copied from interface: `PageFlowService`
      Injects PageFlow event.
      Specified by:
        `injectPageFlowEvent` in interface `PageFlowService`
      Returns:
      Throws:
        `com.tibco.n2.pfe.services.InternalServiceFault`
        `com.tibco.n2.pfe.services.InvalidArgumentFault`
        `com.tibco.n2.pfe.services.PageFlowExecutionFault`

    - #### cancelPageFlow

          public com.tibco.n2.pfe.api.pageflow.CancelPageFlowResponseDocument.CancelPageFlowResponse cancelPageFlow(java.lang.String processInstanceId)
                                                                                                             throws com.tibco.n2.pfe.services.InternalServiceFault,
                                                                                                                    com.tibco.n2.pfe.services.InvalidArgumentFault,
                                                                                                                    com.tibco.n2.pfe.services.PageFlowExecutionFault

      Description copied from interface: `PageFlowService`
      Cancels PageFlow.
      Specified by:
        `cancelPageFlow` in interface `PageFlowService`
      Returns:
      Throws:
        `com.tibco.n2.pfe.services.InternalServiceFault`
        `com.tibco.n2.pfe.services.InvalidArgumentFault`
        `com.tibco.n2.pfe.services.PageFlowExecutionFault`

Copyright © 2018 TIBCO Software Inc. All Rights Reserved.